%define _name glpk
Name: %{_name}4
Version: 4.37
Release: alt1.M50.1

Summary: GNU Linear Programming Kit
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/glpk/glpk.html

Source0: %_name-%version.tar.gz
Requires: lib%_name = %version-%release

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Provides: %_name = %version-%release
Obsoletes: %_name < %version-%release
Conflicts: %_name < %version-%release
Conflicts: %_name > %version-%release

BuildRequires(pre): rpm-build-compat

# Automatically added by buildreq on Tue Apr 18 2006
BuildRequires: glibc-devel-static

%package -n lib%name
Summary: GNU Linear Programming Kit shared libraries
Group: System/Libraries
Provides: lib%_name = %version-%release
Obsoletes: lib%_name < %version-%release
Conflicts: lib%_name < %version-%release
Conflicts: lib%_name > %version-%release

%package -n lib%name-devel
Summary: Development headers and files for GLPK
Group: Development/C
Requires: lib%name = %version-%release, pkgconfig
Provides: lib%_name-devel = %version-%release
Obsoletes: lib%_name-devel < %version-%release
Conflicts: lib%_name-devel < %version-%release
Conflicts: lib%_name-devel > %version-%release

%package -n lib%name-devel-static
Summary: Static version of GLPK libraries
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: lib%_name-devel-static = %version-%release
Obsoletes: lib%_name-devel-static < %version-%release
Conflicts: lib%_name-devel-static < %version-%release
Conflicts: lib%_name-devel-static > %version-%release

%package -n lib%name-devel-doc
Summary: Development documentation for GLPK
Group: Development/Documentation
BuildArch: noarch

%description
The glpk (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

glpk supports the GNU MathProg language, which is a subset of the AMPL
language.

The glpk package includes the following main components:

 * Revised simplex method.
 * Primal-dual interior point method.
 * Branch-and-bound method.
 * Translator for GNU MathProg.
 * Application program interface (API).
 * Stand-alone LP/MIP solver.

%description -n lib%name
The glpk (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains shared library required for run glpk-based software.

%description -n lib%name-devel
The glpk (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains headers and files for developing applications
which use glpk (GNU Linear Programming Kit).

%description -n lib%name-devel-static
The glpk (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains GLPK static libraries.

%description -n lib%name-devel-doc
The glpk (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains documentation for developing applications
which use glpk (GNU Linear Programming Kit).

%prep
%setup

%build
%add_optflags %optflags_shared
%autoreconf
%configure --includedir=%_includedir/%_name
sed -i -e '1a\echo=echo' libtool
%make_build

%install
%make_install_std

install -d %buildroot%_docdir/%name
cp -fR doc/* %buildroot%_docdir/%name/
rm -fR examples/.libs
rm -f examples/*.o
cp -fR examples %buildroot%_docdir/%name/

%files 
%_bindir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
#_libdir/pkgconfig/*
%doc AUTHORS ChangeLog COPYING NEWS README

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name-devel-doc
%_docdir/%name

%changelog
* Thu Apr 30 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.37-alt1.M50.1
- Port for Branch 5.0

* Thu Apr 30 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.37-alt2
- Move doc and examples into lib%name-devel-doc package

* Tue Apr 21 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.37-alt1
- Version 4.37

* Tue Apr 18 2006 Grigorij Mogaev <zcrendel@altlinux.ru> 4.9-alt1
- initial rpm, separate source project into four packages.

